Outlet Status

This API is used to check the status of the outlet.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --location 'https://api.instantpay.in/fi/remit/out/nepal/outletStatus' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208df87f3000aa5b56fc926d1' \
--header 'X-Ipay-Endpoint-Ip: 125.0.0.1' \
--header 'X-Ipay-Outlet-id: 72762'
GET /fi/remit/out/nepal/outletStatus HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208df87f3000aa5b56fc926d1
X-Ipay-Endpoint-Ip: 125.0.0.1
X-Ipay-Outlet-id: 72762

Request Parameters


ParameterRequirementDescription
checkOtpStatusOptional (Mandatory when actcode is OTPVERFCTN)It will be 1

Sample Response

{
    "statuscode": "TUP",
    "actcode": "OUTLETEKYC",
    "status": "Please initiate Outlet E-Kyc",
    "data": null,
    "timestamp": "2024-07-03 11:37:43",
    "ipay_uuid": "h0009c6e9095-2aac-4476-b5e6-05293e19fc32-KIdf8fPgU9Tc",
    "orderid": null,
    "environment": "LIVE"
}

Response Parameters

ParameterTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox
📘

Please Note :

In actcode you will be receiving OUTLETREGISTER, OUTLETEKYC & OTPVERFCTN

OUTLETREGISTER--> It means the Outlet is not registered. You need to register the outlet using Outlet Registration API.

OUTLETEKYC--> It means the outlet has been registered successfully. Now, you need to proceed with the Outlet EKYC Initiate, followed by EKYC Initiate Status, and then EKYC Initiate Biometric.

OTPVERFCTN--> It means now you need to Initiate the Outlet Status API call.

📘

Info :

For API Headers Click Here

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain